import fs from 'fs'
import dotenv from 'dotenv'

let is_loaded = false

if (!is_loaded) {
    // 检测运行目录下是否有 .env 文件，如果没有，则创建
    const envPath = process.cwd()

    console.log(envPath)

    if (!fs.existsSync(envPath)) {
        // 如果没有，则创建
        if (!fs.existsSync(envPath)) {
            console.log('create .env file at ' + envPath)
            fs.writeFileSync(envPath, '')
        }
    }

    // 加载 .env 文件
    dotenv.config({
        path: envPath + '/.env'
    })

    is_loaded = true
}
